<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCoursePatientTable extends Migration
{
    public function up()
    {
        Schema::create('course_patient', function (Blueprint $table) {
            $table->id();
            $table->foreignId('course_id')->constrained()->onDelete('cascade'); // Связь с таблицей courses
            $table->foreignId('user_id')->constrained()->onDelete('cascade');  // Связь с таблицей users (пациенты)
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('course_patient');
    }
}