<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up()
{
    Schema::create('user_exercise', function (Blueprint $table) {
        $table->id();
        $table->foreignId('user_id')->constrained()->onDelete('cascade'); // Пациент
        $table->foreignId('exercise_id')->constrained()->onDelete('cascade'); // Упражнение
        $table->foreignId('course_id')->constrained()->onDelete('cascade'); // Курс
        $table->boolean('is_completed')->default(false); // Статус выполнения упражнения
        $table->timestamps();
    });
}

public function down()
{
    Schema::dropIfExists('user_exercise');
}
};
